petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNASM

Nonlinear Additive Schwartz

### Options Database

| -snes_nasm_log | - enable logging events for the communication and solve stages Many br
| -snes_nasm_type <basic,restrict> | - type of subdomain update used Many br
| -snes_nasm_finaljacobian | - compute the local and global jacobians of the final iterate Many br
| -snes_nasm_finaljacobian_type <finalinner,finalouter,initial> | - pick state the jacobian is calculated at Many br
| -sub_snes_ | - options prefix of the subdomain nonlinear solves Many br
| -sub_ksp_ | - options prefix of the subdomain Krylov solver Many br
| -sub_pc_ | - options prefix of the subdomain preconditioner Many br

Many br

### References

1. -Peter R. Brune, Matthew G. Knepley, Barry F. Smith, and Xuemin Tu, "Composing Scalable Nonlinear Algebraic Solvers", Many brSIAM Review, 57(4), 2015 Many br

### See Also

SNESCreate(), SNES, SNESSetType(), SNESType (for list of available types)

Level:advanced
Location:src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages